MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024599Open CASCADE[OCCT] OCCT:DRAWpublic2014-02-05 15:272014-05-05 13:39
Reporterrkv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformVC++ >=2010 32&64 bitOSWindowsOS Version
Product Version 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024599: Tools for interacting with DRAW from Visual Studio debugger
DescriptionIt is proposed to introduce a set of global functions allowing a user to use VS Command Window to perform DRAW commands when DRAW is interrupted on a breakpoint. This way also allows to pass currently defined variables as parameters of commands.

About VS Command window, please see: http://msdn.microsoft.com/en-us/library/c785s0kz.aspx [^]
TagsNo tags attached.
Test case numberNot needed
Attached Filesdoc file icon DrawInDebug.doc (33,280 bytes) 2014-02-05 15:27

- Relationships
related to 0024812closedapn Provide VS2012 debugger visualizer for OCCT types 

-  Notes
(0027803)
rkv (developer)
2014-02-06 13:56

The branch CR0024599 is created.
Draw_DebugTools.cxx is added to Draw package.
A manual is added to Developer Guides.
(0027809)
abv (manager)
2014-02-06 23:39

Roman, please commit debug.md
(0027905)
abv (manager)
2014-02-17 07:01
edited on: 2014-02-17 07:02

Reviewed from my side; I have improved debug DRAW functions by adding exception handler and output of the result as a string (and also removing 'N' from their names) and expanded debug.md to describe other debugging tools and hints I know.

Ivan, please add description of aliases if you manage them to work.

(0027943)
abv (manager)
2014-02-18 10:56

Aliases are described, the issue is reviewed. Please test and proof-read the new document (debug.md).
(0027944)
abv (manager)
2014-02-18 10:58

Note that I still reproduce original problem (exception when running commands like "axo" from debugger on 64-bit version) on my two workstations under vc10; however it works on workstations of ibs and rkv...
(0028001)
ysn (developer)
2014-02-21 18:33

I reviewed debug.md. Made some small corrections.
(0028002)
kgv (developer)
2014-02-21 18:49

Dear Yuri,

please note, that only first commit in the branch should start from bug title "0024599: Tools for interacting with DRAW from Visual Studio debugger".
Extra commits should provide meaningful description of changes.
(0028005)
abv (manager)
2014-02-23 00:21

Yuri, I have made a correction over your version of debug.md; please check the result in the same branch CR24599_2; my comments are:

- when doing multiple replacement (I guess you replaced "debug_" by "occt_debug_"), make sure that only the intended places are replaced (either do that step-by-step or check the result by diff). In your case the name of the environment variable CSF_DEBUG_BOP was changed to CSF_occt_debug_BOP...

- please avoid explicit numbering of sections in their tags (like "occt_debug_intro_1"), as this is not needed (Doxygen should enumerate sections automatically) while correct numbering is very difficult to maintain (imagine adding new section). If you have some reason to do such numbering manually, please share it.
(0028006)
abv (manager)
2014-02-23 00:31

One more remark: 'writable' is correct spelling according to all dictionaries I could check, and not 'writeable'. Please use spell checker!
(0028009)
ysn (developer)
2014-02-24 12:25

"Doxygen should enumerate sections automatically"

I wish it could do so. But it does not.

"If you have some reason to do such numbering manually, please share it. "

All .md files were generated from .doc with numbering and I thought it was the requirement and that one day we can have numbered headers (and possibly TOC items) through this.

Additionally numbered sections in large UGS are shorter (easier to reference) and more indicative of a section location in the document. Some header names are repeated several times in different subsections of the same document.

But I agree that inserting new chapters is more complicated with numbered sections.


" 'writable' is correct spelling according to all dictionaries I could check Please use spell checker"

Both are correct, "writable" in the US and "writeable" in the UK.
By mistake I had a UK spellchecker version on.
(0028022)
apn (administrator)
2014-02-25 12:19

Dear BugMaster,

Branch CR24599_2 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: e31095d017e4fbdc0efd84c890e18c41d349c289

Number of compiler warnings:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 383139628 / 382561432
Total CPU difference: 43496.1699999999 / 45146.74000000002

Testing on Windows:
Total MEMORY difference: 429699628 / 428907772
Total CPU difference: 33826.140625 / 34671.40625

There are not differences in images found by testdiff.

- Related Changesets
occt: master d4faf9e9
Timestamp: 2014-02-27 14:22:52
Author: abv
Committer: apn
Details ] Diff ]
0024599: Tools for interacting with DRAW from Visual Studio debugger

Global functions are added to allow a user performing DRAW commands from VS Command Window when DRAW is interrupted on a breakpoint.
Previously existing functions are adapted to work with Visual Studio debugger (Command Window).
A manual describing use of these functions and other debugging facilities and some hints is added to Developer Guides.
Minor corrections and refinement of debug.md.
add - dox/dev_guides/debug/debug.md Diff ] File ]
mod - dox/dev_guides/dev_guides.md Diff ] File ]
mod - dox/FILES.txt Diff ] File ]
mod - src/BRepTools/BRepTools.cxx Diff ] File ]
add - src/BRepTools/BRepTools_Debug.cxx Diff ] File ]
add - src/BRepTools/FILES Diff ] File ]
mod - src/DBRep/DBRep_Debug.cxx Diff ] File ]
add - src/Draw/Draw_Debug.cxx Diff ] File ]
mod - src/Draw/FILES Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf_Debug.cxx Diff ] File ]
add - src/GeomTools/FILES Diff ] File ]
add - src/GeomTools/GeomTools_Debug.cxx Diff ] File ]
occt: master 938bb740
Timestamp: 2014-03-03 09:52:33
Author: abv
Committer: abv
Details ] Diff ]
0024599: Tools for interacting with DRAW from Visual Studio debugger

Minor correction of #include to avoid dependency of package Draw on DBRep (problem building by WOK).
License statements in new files corrected for licensecheck command.
Non-ascii en-dash symbol repleced by Ascii hyphen in debug.md.
mod - dox/dev_guides/debug/debug.md Diff ] File ]
mod - src/BRepTools/BRepTools_Debug.cxx Diff ] File ]
mod - src/Draw/Draw_Debug.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_Debug.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-05 15:27 rkv New Issue
2014-02-05 15:27 rkv Assigned To => rkv
2014-02-05 15:27 rkv File Added: DrawInDebug.doc
2014-02-06 13:56 rkv Note Added: 0027803
2014-02-06 13:57 rkv Assigned To rkv => abv
2014-02-06 13:57 rkv Status new => feedback
2014-02-06 23:39 abv Assigned To abv => rkv
2014-02-06 23:39 abv Note Added: 0027809
2014-02-07 09:34 abv Assigned To rkv => abv
2014-02-07 09:34 abv Status feedback => resolved
2014-02-17 07:01 abv Note Added: 0027905
2014-02-17 07:01 abv Assigned To abv => ibs
2014-02-17 07:02 abv Note Edited: 0027905 View Revisions
2014-02-18 10:56 abv Note Added: 0027943
2014-02-18 10:56 abv Assigned To ibs => apn
2014-02-18 10:56 abv Status resolved => reviewed
2014-02-18 10:58 abv Note Added: 0027944
2014-02-21 18:33 ysn Note Added: 0028001
2014-02-21 18:49 kgv Note Added: 0028002
2014-02-23 00:21 abv Note Added: 0028005
2014-02-23 00:31 abv Note Added: 0028006
2014-02-24 12:25 ysn Note Added: 0028009
2014-02-25 12:19 apn Note Added: 0028022
2014-02-25 12:19 apn Test case number => Not needed
2014-02-25 12:19 apn Assigned To apn => bugmaster
2014-02-25 12:19 apn Status reviewed => tested
2014-02-25 12:19 apn Target Version => 6.7.1
2014-03-03 13:25 apn Changeset attached => occt master d4faf9e9
2014-03-03 13:25 apn Assigned To bugmaster => apn
2014-03-03 13:25 apn Status tested => verified
2014-03-03 13:25 apn Resolution open => fixed
2014-03-11 14:41 abv Changeset attached => occt master 938bb740
2014-03-11 14:41 abv Assigned To apn => abv
2014-04-09 12:05 kgv Relationship added related to 0024812
2014-05-05 13:33 aiv Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker